Update Type
curl --request PUT \
--url https://api.swoogo.com/api/v1/reg-types/update/{registrant_type_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data admin_short_name= \
--data capacity= \
--data 'name=Updated Reg Type Name' \
--data public_short_name=import requests
url = "https://api.swoogo.com/api/v1/reg-types/update/{registrant_type_id}"
payload = {
"admin_short_name": "",
"capacity": "",
"name": "Updated Reg Type Name",
"public_short_name": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
admin_short_name: '',
capacity: '',
name: 'Updated Reg Type Name',
public_short_name: ''
})
};
fetch('https://api.swoogo.com/api/v1/reg-types/update/{registrant_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"admin_short_name": "",
"capacity": "",
"created_at": "2023-05-17 10:15:53",
"description": null,
"id": 59,
"max_group_size": null,
"min_group_size": null,
"name": "Updated Reg Type Name",
"public_short_name": "",
"sold_out_message": "Sold Out",
"updated_at": "2023-05-17 10:46:52"
}Registrant Types
Update Type
Updates an existing registration type by its ID. You can modify the name, capacity, group size limits, display names, and sold-out message. Only the fields included in the request body will be updated.
PUT
/
reg-types
/
update
/
{registrant_type_id}
Update Type
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the registrant type you want to update
Example:
1
Body
application/x-www-form-urlencoded
Response
200 - application/json
Update A Registrant Type
Example:
""
Example:
""
Example:
"2023-05-17 10:15:53"
Example:
59
Example:
"Updated Reg Type Name"
Example:
""
Example:
"Sold Out"
Example:
"2023-05-17 10:46:52"
⌘I